## libnoise 1.0.0+repack

=== noise/Makefile ===
.PHONY: all doc src include
all: doc src include lib
clean: cleandoc cleansrc cleaninclude cleanlib
install: installinclude installlib

doc src include lib:
	$(MAKE) -C $@

lib: include

cleandoc:
	$(MAKE) -C doc clean
cleansrc:
	$(MAKE) -C src clean
cleaninclude:
	$(MAKE) -C include clean
cleanlib:
	$(MAKE) -C lib clean

installinclude:
	$(MAKE) -C include include
installlib:
	$(MAKE) -C lib include

=== noise/doc/Makefile ===
# Also include the core source directory
include ../src/Sources

# Various binaries we're using
DOXYGEN=`which doxygen`

# Source code files

html: Doxyfile $(HEADERS)
	$(DOXYGEN) Doxyfile

.PHONY: clean
clean:
	-rm -rf html

=== noise/include/Makefile ===
.PHONY: all here clean
all: here model module

here:
	cp ../src/*.h .
model:
	(mkdir $@ && cp ../src/model/*.h $@)
module:
	(mkdir $@ && cp ../src/$@/*.h $@)

clean:
	-rm *.h
	-rm -rf model
	-rm -rf module

=== noise/lib/Makefile ===
VPATH=../src/

.PHONY: all clean
all: libnoise.a libnoise.la libnoise.so.0.3
	-cp $? .

clean:
	-rm libnoise.*

=== noise/src/Makefile ===
LIBTOOL=libtool

# defines source files and vpaths
include Sources

DEPENDS=$(SOURCES:.cpp=.d)

# What source objects are we building?
OBJECTS=$(SOURCES:.cpp=.o)

.PHONY: all clean cleandeps cleanobjs cleanlib libnoise libnoise.so libnoise.so.0

# hooks for future makefiles being able to make multiple SOs, or older SOs
libnoise: libnoise.so libnoise.a libnoise.la
libnoise.so: libnoise.so.0
libnoise.so.0: libnoise.so.0.3

# Real build targets
libnoise.so.0.3: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -shared -Wl,-soname=libnoise.so.0 -o $@ $(OBJECTS:.o=.lo)

libnoise.a: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -o $@ $(OBJECTS)
libnoise.la: $(OBJECTS)
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -o $@ $(OBJECTS:.o=.lo)

clean:	cleandeps cleanobjs cleanlib
cleandeps:
	-rm $(DEPENDS)
cleanobjs:
	-rm $(OBJECTS)
	-rm $(OBJECTS:.o=.lo) #clean up after libtool
	-rm -rf .libs model/.libs module/.libs
cleanlib:
	-rm libnoise.so.0.3
	-rm libnoise.a
	-rm libnoise.la

# Utility rules
# Generates dependancy files:
%.d: %.cpp
	@set -e; rm -f $@; \
         $(CXX) -MM $(CPPFLAGS) $< > $@.$$$$; \
         sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
         rm -f $@.$$$$

# C and C++ libtool (rather than raw CXX/CC) use
%.o %.lo: %.cpp
	$(LIBTOOL) --mode=compile $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $(@:.lo=.o)

%.o %.lo: %.c
	$(LIBTOOL) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $(@:.lo=.o)

# If dependancies have never been built this will produce a horde of
# "file not found" warnings and *then* build the deps.  Very odd.
include $(DEPENDS)

## libnoise 1.0.0

=== debian/changelog ===
libnoise (1.0.0) unstable; urgency=low

  * New upstream release (fixes: #445765)

 -- Federico Di Gregorio <fog@debian.org>  Wed, 21 Nov 2007 10:56:44 +0100

libnoise (0.9.0+1.0.0-RC1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 02 Sep 2006 20:57:07 +0200

libnoise (0.9.0-3) unstable; urgency=low

  * Added to Build-depends: dbs, libtool (Closes: #321979).

 -- Federico Di Gregorio <fog@debian.org>  Mon, 22 Aug 2005 01:49:29 +0200

libnoise (0.9.0-2) unstable; urgency=low

  * Update debian/copyright to include licensing information for the example
    code (GPL instead of LGPL.)

 -- Federico Di Gregorio <fog@debian.org>  Fri,  5 Aug 2005 23:31:33 +0200

libnoise (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #313610)

 -- Federico Di Gregorio <fog@debian.org>  Mon, 25 Jul 2005 20:22:58 +0200

=== debian/control ===
Source: libnoise
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.0.0), dbs, unzip, libtool
Standards-Version: 3.7.2
Maintainer: Federico Di Gregorio <fog@debian.org>

Package: libnoise0
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: a portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.

Package: libnoise-dev
Section: devel
Architecture: any
Depends: libnoise0 (= ${binary:Version})
Description: a portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.
 .
 This package contains the headers and static libraries needed to build
 programs using libnoise.

=== debian/rules ===
#!/usr/bin/make -f
#
# Code taken from debhelper samples, copyright 1997 to 1999 by Joey Hess.
# Also some code taken from dbs example Makefile.

DEB_ROOT := $(shell pwd)/debian
TAR_DIR  := 

#export DH_VERBOSE=1


# include dbs to unpack source and apply patches
include /usr/share/dbs/dbs-build.mk

# override the unpacked target to allow for zip files
$(unpacked): $(STAMP_DIR)/created
	mkdir -p $(STAMP_DIR)/sources $(SOURCE_DIR) $(STAMP_DIR)/log/sources
	@for f in `ls ./*.zip | LC_COLLATE=C sort | sed 's,^\./,,g'`; do \
	  stampfile=$(STAMP_DIR)/sources/`basename $$f`; \
	  log=$(STAMP_DIR)/log/sources/`basename $$f`; \
	  if [ ! -e $$stampfile ]; then \
	    echo -n "Extracting source $$f ... "; \
	    if unzip -n -d $(BUILD_TREE) $$f > $$log 2>&1; then \
	      echo successful.; \
	      touch $$stampfile; \
	    else q\
	      echo failed!; \
	      exit 1; \
	    fi; \
	  else \
	    echo Already unpacked $$f.; \
	  fi; \
	done
	touch $@

INSTALL = /usr/bin/install
INSTALL_PROGRAM = /usr/bin/install -m 755

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

FV := 0.3
SV := 0

build: $(patched) $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/build-stamp:
	dh_testdir
	cd $(BUILD_TREE)/noise && make

clean:
	dh_testdir
	dh_testroot
	rm -fr $(STAMP_DIR)
	rm -fr $(BUILD_TREE)
	-rmdir build-tree
	find . -name "*~" | xargs rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.so.* \
	  debian/libnoise0/usr/lib
	dh_link -p libnoise0 usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so.$(SV)

	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.la \
	  debian/libnoise-dev/usr/lib
	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.a \
	  debian/libnoise-dev/usr/lib
	dh_link -p libnoise-dev usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so
	$(INSTALL) $(BUILD_TREE)/noise/include/*.h \
	  debian/libnoise-dev/usr/include/libnoise/
	$(INSTALL) $(BUILD_TREE)/noise/include/module/*.h \
	  debian/libnoise-dev/usr/include/libnoise/module/
	$(INSTALL) $(BUILD_TREE)/noise/include/model/*.h \
	  debian/libnoise-dev/usr/include/libnoise/model/
	$(INSTALL) $(BUILD_TREE)/noise/doc/html/* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/html/
	$(INSTALL) $(BUILD_TREE)/noiseutils.* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/noiseutils/
	$(INSTALL) $(BUILD_TREE)/texture*.cpp $(BUILD_TREE)/worms.cpp \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/examples/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libnoise 1.0.0%2Brepack

=== debian/changelog ===
libnoise (1.0.0+repack-0+nmu1) unstable; urgency=low

  * Non-maintainer upload fo remove build-dependency on dbs (closes: #576065);
    upload this NMU to DELAYED/10 queue.
  * Switch to the '3.0 (quilt)' source format.
  * Repack original tarballs (there are three of them: main, noiseutils,
    and examples) from zip into tar.bz2.
  * Use debhelper v9 and its tiny rules format.
  * Bump Standards-Version to 3.9.4.
  * Remove an article from short package description (lintian).
  * Fix binary packages' sections to match override file.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Sep 2013 17:21:09 +0200

libnoise (1.0.0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: undefined reference to `main'". Applied patch by Nobuhiro
    Iwamatsu. (Closes: #526547)

 -- Bastian Venthur <venthur@debian.org>  Tue, 23 Feb 2010 16:54:00 +0100

## libnoise 1.0.0+repack

=== debian/changelog ===
libnoise (1.0.0+repack-3) unstable; urgency=medium

  * QA upload.

  * Added patch metadata.
  * Converted d/copyright to machine readable format.
  * Adjusted d/rules to get rid of execute bit on example C++ code.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 24 Apr 2024 15:59:29 +0200

libnoise (1.0.0+repack-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Moved to debhelper compat level 13.
  * Updated Standards-Version from 3.9.8 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Apr 2024 15:15:30 +0200

libnoise (1.0.0+repack-1) unstable; urgency=medium

  * QA upload.
  * Orphaned package on request from maintainer.
  * Added homepage info in d/control.
  * Updated Standards-Version from 3.9.4 to 3.9.8.
  * Added first draft d/watch file.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Sep 2016 20:12:12 +0000

libnoise (1.0.0+repack-0+nmu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761766.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:40:30 +0000

=== debian/control ===
Source: libnoise
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),  libtool, libtool-bin
Standards-Version: 4.7.0
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://libnoise.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/libnoise
Vcs-Git: https://salsa.debian.org/debian/libnoise.git
Rules-Requires-Root: no

Package: libnoise0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.

Package: libnoise-dev
Section: libdevel
Architecture: any
Depends: libnoise0 (= ${binary:Version}), ${misc:Depends}
Description: Portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.
 .
 This package contains the headers and static libraries needed to build
 programs using libnoise.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh "$@"

BUILD_TREE := build-tree
INSTALL    := /usr/bin/install
FV := 0.3
SV := 0

override_dh_auto_build:
	mkdir $(BUILD_TREE)
	cp -al $(CURDIR)/noise $(BUILD_TREE)/noise
	cd $(BUILD_TREE)/noise && $(MAKE)

override_dh_auto_clean:
	rm -fr $(BUILD_TREE)
	find . -name "*~" -delete

override_dh_auto_install:
	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.so.* \
	  debian/libnoise0/usr/lib
	dh_link -p libnoise0 usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so.$(SV)

	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.la \
	  debian/libnoise-dev/usr/lib
	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.a \
	  debian/libnoise-dev/usr/lib
	dh_link -p libnoise-dev usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so
	$(INSTALL) $(BUILD_TREE)/noise/include/*.h \
	  debian/libnoise-dev/usr/include/libnoise/
	$(INSTALL) $(BUILD_TREE)/noise/include/module/*.h \
	  debian/libnoise-dev/usr/include/libnoise/module/
	$(INSTALL) $(BUILD_TREE)/noise/include/model/*.h \
	  debian/libnoise-dev/usr/include/libnoise/model/
	$(INSTALL) $(BUILD_TREE)/noise/doc/html/* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/html/
	$(INSTALL) noiseutils/noiseutils.* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/noiseutils/
	$(INSTALL) examples/texture*.cpp examples/worms.cpp \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/examples/

	# Get rid of unneeded execute bit to keep lintian happy.
	chmod a-x debian/libnoise-dev/usr/share/doc/libnoise-dev/examples/*.cpp

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)\-?(RC\d*)$/$1~$2/ \
http://sf.net/libnoise/libnoisesrc-(\d\S*)\.zip
